SPA Authentication
SPA 2FA Verify - Complete login with 2FA code
Verifies the 2FA code sent to user email and completes the login process.
POST
/api/spa/auth/2fa/verifyAuthorizations
X-AUTH-TOKEN
stringheaderrequired
Value for the X-AUTH-TOKEN header parameter.
Request Body
application/json
required
The new SpaTwoFactor resource
{
"twoFactorToken": "eyJ0eXAiOiIyZmEiLCJ1c2VySWQiOjF9...",
"code": "123456",
"accessToken": "eyJhbGciOiJIUzI1NiIsInR5cCI6IkpXVCJ9...",
"refreshToken": "<api-key>",
"expiresIn": 3600,
"user": {}
}Response
201
SpaTwoFactor resource created
twoFactorToken
stringrequired
2FA token received from login endpoint
code
stringrequired
6-digit verification code sent to email
accessToken
string
JWT access token
refreshToken
string
Refresh token
expiresIn
integer
Access token lifetime in seconds
user
object
User profile